/*
 * Class WEL_PS_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_599 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_599 [] = {0xFF01,1551,598,0xFFFF};
static const EIF_TYPE_INDEX egt_2_599 [] = {0xFF01,598,0xFFFF};
static const EIF_TYPE_INDEX egt_3_599 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_599 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_599 [] = {0xFF01,598,0xFFFF};
static const EIF_TYPE_INDEX egt_6_599 [] = {0xFF01,598,0xFFFF};
static const EIF_TYPE_INDEX egt_7_599 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_599 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_599 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_599 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_599 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_599 [] = {0xFF01,598,0xFFFF};


static const struct desc_info desc_599[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_599), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_599), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_599), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_599), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_599), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_599), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_599), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_599), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_599), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_599), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_599), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_599), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04AD /*598*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_599), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12925, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12927, 0xFFFFFFFF},
};
void Init599(void)
{
	IDSC(desc_599, 0, 598);
	IDSC(desc_599 + 1, 1, 598);
	IDSC(desc_599 + 32, 1023, 598);
}


#ifdef __cplusplus
}
#endif
